+7 (342) 2-700-799
Mon -Fr 6:00 AM - 6:00 PM (GMT+3)

News

17 August 2019

Update the tracker firmware to determine the date correctly

Galileosky recommends you to upgrade firmware for the tracking units 1.8.5, 2.2.5, 2.2.8, 2.3, 4.0, and partially 5.1, 5.0 (released before 2015) to determine the date correctly.

Firmware can be upgraded remotely to up-to-date versions 37, 230, 232 by Upgrade 0 command and to 199 version by Upgrade 199 command. It can be done via the "Configurator" locally.
It is possible to download the latest version 4.19.1 of "Configurator" here.